> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/manage-digital-cards/set-default-payment-card.md).

# デフォルトの支払いカードを設定する

## 概要

デフォルトのデジタルカードはあなたの **デジタルウォレットアプリケーション** が非接触決済時に最初に表示するカードです。

エンドユーザーはデフォルトのデジタルカードを維持するか、支払いを確定する前にあなたのUIからカードを切り替えることができます。

支払いのユーザーエクスペリエンス（UX）のオプションについては、 [非接触決済](/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/make-payments/implement-contactless-payment.md).

### SDK統合

呼び出す `DigitalCard.setDefault()` 上の `DigitalCard` をデフォルトとして設定したい場合。

次の例はデフォルトのデジタルカードを設定します：

{% code title="デフォルトカードを設定" %}

```swift
func setDefaultCard(digitalCard: DigitalCard) async {
  do {
    _ = try await digitalCard.setDefault()
  } catch {
    // エラーを処理します。
  }
}
```

{% endcode %}

{% hint style="info" %}
デフォルトのデジタルカードは、有効なときにのみ設定できます。

カードには少なくとも1つの支払いキーが残っている必要があります。

両方を検証するには、 [カードの詳細を取得する](/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/manage-digital-cards/display-digital-cards.md#get-card-details) のプロパティを使用してください。
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/manage-digital-cards/set-default-payment-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
